summaryrefslogtreecommitdiffstats
path: root/jjb/fuel/fuel-download-artifact.sh
diff options
context:
space:
mode:
authorFatih Degirmenci <fatih.degirmenci@ericsson.com>2015-10-03 00:25:57 +0200
committerFatih Degirmenci <fatih.degirmenci@ericsson.com>2015-10-03 00:29:15 +0200
commitd888bcbab27ff0e3afb70243b3a327084078ddb4 (patch)
treeeb01e3aadd94eb011ec37622adaca896555f677a /jjb/fuel/fuel-download-artifact.sh
parent00b1289d8c1e400f7e7e5a243dff39c97159be06 (diff)
Configure jenkins jobs for fuel
- verify jobs are configured in order to run builds and virtual deployments for each and every new patch. - merge jobs are configured in order to run builds and virtual deployments for merged changes. - daily jobs are not configured and currently disabled. - builder scripts are taken out from yml and converted to standalone scripts. Change-Id: I2fc8a5072a48ecabfb9b0460e3717c7bf3623ff4 Signed-off-by: Fatih Degirmenci <fatih.degirmenci@ericsson.com>
Diffstat (limited to 'jjb/fuel/fuel-download-artifact.sh')
-rwxr-xr-xjjb/fuel/fuel-download-artifact.sh29
1 files changed, 29 insertions, 0 deletions
diff --git a/jjb/fuel/fuel-download-artifact.sh b/jjb/fuel/fuel-download-artifact.sh
new file mode 100755
index 000000000..6eb1ba463
--- /dev/null
+++ b/jjb/fuel/fuel-download-artifact.sh
@@ -0,0 +1,29 @@
+#!/bin/bash
+set -o errexit
+set -o nounset
+set -o pipefail
+
+# get the latest.properties file in order to get info regarding latest artifact
+curl -s -o $WORKSPACE/latest.properties http://$GS_URL/latest.properties
+
+# check if we got the file
+[[ -f latest.properties ]] || exit 1
+
+# source the file so we get OPNFV vars
+source latest.properties
+
+# log info to console
+echo "Downloading the $INSTALLER artifact using URL http://$OPNFV_ARTIFACT_URL"
+echo "This could take some time..."
+echo "--------------------------------------------------------"
+echo
+
+# download the file
+curl -s -o $WORKSPACE/opnfv.iso http://$OPNFV_ARTIFACT_URL > gsutil.iso.log 2>&1
+
+# list the file
+ls -al $WORKSPACE/opnfv.iso
+
+echo
+echo "--------------------------------------------------------"
+echo "Done!"